@echo off
rem ***************************************************************************
rem 
rem Utility to create a uwf file that contains the firmware and 
rem the flash file and data system
rem 
rem ***************************************************************************

set TmpSF=BL652_SD_FAP
set ffds=BL652_FFDS
set mkfn=BL652_SD_FAP_FFDS_magic

rem ******************************************************************
rem Delete all temp and output files
rem ******************************************************************
if exist %mkfn%.uwf del /F /Q %mkfn%.uwf >NUL

rem ******************************************************************
rem Check if all relevant files exist
rem ******************************************************************
if not exist %mkfn%.ums   goto :err1
if not exist %TmpSF%.bin  goto :err2
if not exist %ffds%.bin   goto :err3

rem ******************************************************************
rem Create .uwf file
rem ******************************************************************
uwfmake %mkfn%.ums >uwfmake.log
if not exist %mkfn%.uwf   goto :err4

echo ...... PASS: File %mkfn%.uwf has been created 
if exist uwfmake.log del /Q /F uwfmake.log >NUL
echo .......
goto :end

:err1
echo FAIL: File %mkfn%.ums is missing
goto :pauseend

:err2
echo FAIL: File %TmpSF%.bin is missing
goto :pauseend

:err3
echo FAIL: File %ffds%.bin is missing
goto :pauseend

:err4
echo FAIL: File %mkfn%.uwf was not created
goto :pauseend

:pauseend
if "%1" == "nopause" goto :end
pause
:end
