@echo off
rem ***************************************************************************
rem 
rem Utility to create a hex file that contains :
rem    SmartBASIC Firmware
rem    Customer Application
rem    Magic 
rem    FFDS
rem 
rem ***************************************************************************

rem **********************************************************************
rem Set up platform specific environment varaibles
rem **********************************************************************

set mdle=BL652

set onme=%mdle%_MBR_SD_APP_magic_BLR_UICR
set hexS=%onme%.hex
set hexF=%mdle%_ffds.hex
set hexO=%mdle%_merged_FIRMWARE_and_APP.hex

if not exist %hexS% goto :err1
if not exist %hexF% goto :err2

rem ***************************************************************************
rem Merge the hex files
rem ***************************************************************************
mergehex -m %hexS% %hexF% -o %hexO%
if not exist %hexO% goto :err3

if exist %hexF%      del /Q /F %hexF% >NUL
echo ==========================================================================
echo PASS: Created combined Firmware and FileSystem file
echo            %hexO%
echo       You should zip up this entire folder, rename it appropriately and
echo       save it permanently for future quality audit purposes.
echo       We recommend the zip file name should contain the strings..
echo         %mdle%
echo         'CombinedFirmwareAndApp'
echo         Firmware_version  -  copied from original Laird zip filename
echo                           -  or response from module to command 'AT I 3'
echo         Your_app_version
echo         Your_Product_name
echo ==========================================================================
goto :done

:err1
echo FAIL: File %hexS% is missing
pause
goto :done

:err2
echo FAIL: File %hexF% is missing, please run '_CaptureFFDS.bat' to create it
pause
goto :done

:err3
echo FAIL: Combined Firmware and FileSystem file %hexO% not created
pause
goto :done


:done



