@echo off
cls
rem **********************************************************************
set hex1=BL652_MBR_SD_APP_magic_BLR_UICR
rem **********************************************************************

if not exist %hex1%.hex goto :nofile

echo %TIME%       Time at program start

rem -----------------------------------
rem  Erase sectors
rem -----------------------------------
echo .                 Erasing sectors (please wait)
nrfjprog -f NRF52 %2 %3 %4 %5 %6 %7 %8 %9 --clockspeed 10000 --erasepage 0x61000-0x7B000 --quiet
if ERRORLEVEL 1 goto nrfjprog_err
echo ..                Erasing sectors (done)

rem -----------------------------------
rem  Write the file
rem -----------------------------------

echo ...               Programming hex file (please wait)
nrfjprog -f NRF52 %2 %3 %4 %5 %6 %7 %8 %9 --clockspeed 10000 --program %hex1%.hex --sectoranduicrerase --reset --quiet
if ERRORLEVEL 1 goto nrfjprog_err
echo ....              Programming hex file (done)

echo %TIME%       Time at program finish

rem **********************************************************************
echo ..................
echo ################################
echo The firmware upgrade is complete
echo ################################
echo .
rem **********************************************************************
goto :end

:nrfjprog_err
rem **********************************************************************
echo .
echo FAIL: nrfjprog command failed
echo .
rem **********************************************************************
goto :pauseend

:nofile
rem **********************************************************************
echo .
echo FAIL: %hex1%.hex is missing
echo .
rem **********************************************************************
goto :pauseend


:pauseend
if "%1" == "nopause" goto :end
pause
:end
